<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;

/**
 * @ORM\Entity(repositoryClass="App\Repository\CompetenceRepository")
 */
class Competence
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $libelle;

    /**
     * @ORM\Column(type="integer")
     */
    private $ordreAffiche;

    /**
     * @ORM\Column(type="integer")
     */
    private $domaine;

    /**
     * @ORM\ManyToMany(targetEntity="App\Entity\Individu", mappedBy="competences")
     */
    private $individus;

    public function __construct()
    {
        $this->individus = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getLibelle(): ?string
    {
        return $this->libelle;
    }

    public function setLibelle(string $libelle): self
    {
        $this->libelle = $libelle;

        return $this;
    }

    public function getOrdreAffiche(): ?int
    {
        return $this->ordreAffiche;
    }

    public function setOrdreAffiche(int $ordreAffiche): self
    {
        $this->ordreAffiche = $ordreAffiche;

        return $this;
    }

    public function getDomaine(): ?int
    {
        return $this->domaine;
    }

    public function setDomaine(int $domaine): self
    {
        $this->domaine = $domaine;

        return $this;
    }

    /**
     * @return Collection|Individu[]
     */
    public function getIndividus(): Collection
    {
        return $this->individus;
    }

    public function addIndividus(Individu $individus): self
    {
        if (!$this->individus->contains($individus)) {
            $this->individus[] = $individus;
            $individus->addCompetence($this);
        }

        return $this;
    }

    public function removeIndividus(Individu $individus): self
    {
        if ($this->individus->contains($individus)) {
            $this->individus->removeElement($individus);
            $individus->removeCompetence($this);
        }

        return $this;
    }
}
