<?php

namespace App\Repository;

use App\Entity\ExperienceProfessionnelle;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;

/**
 * @method ExperienceProfessionnelle|null find($id, $lockMode = null, $lockVersion = null)
 * @method ExperienceProfessionnelle|null findOneBy(array $criteria, array $orderBy = null)
 * @method ExperienceProfessionnelle[]    findAll()
 * @method ExperienceProfessionnelle[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ExperienceProfessionnelleRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ExperienceProfessionnelle::class);
    }

    // /**
    //  * @return ExperienceProfessionnelle[] Returns an array of ExperienceProfessionnelle objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('e')
            ->andWhere('e.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('e.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?ExperienceProfessionnelle
    {
        return $this->createQueryBuilder('e')
            ->andWhere('e.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
    
    public function getXP(Individu $individu, $salaireMin){
        $qb = $this->createQueryBuilder('e')->where('e/indivisu = :ind')-setParamater("ind", $individu);
        if($salaireMin !== null){
            $qb->andWhere('e.salire>:salaire')->setParameter('salaire', $salaireMin);
        }
        
        return $qb->orderBy('e.dateDebut','DESC')->getQuery()->getResult();
    }
}
