<?php

namespace App\Repository;

use App\Entity\Individu;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;

/**
 * @method Individu|null find($id, $lockMode = null, $lockVersion = null)
 * @method Individu|null findOneBy(array $criteria, array $orderBy = null)
 * @method Individu[]    findAll()
 * @method Individu[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class IndividuRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Individu::class);
    }

    // /**
    //  * @return Individu[] Returns an array of Individu objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('i')
            ->andWhere('i.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('i.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?Individu
    {
        return $this->createQueryBuilder('i')
            ->andWhere('i.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
    
    public function findAllIndividu(){
        return $this->createQueryBuilder('e')
        ->leftJoin('e.experienceprofesseionnelles', 'exp')
        ->addSelect('exp')
        ->leftJoin('ind.competences', 'com')
        ->addSelect('com')
        ->getQuery()
        ->getOneOrNullResult()
        ;
    }
    public function findAllIndividusCompentences()
    {
        return $this->createQueryBuilder('ind')
            ->leftJoin('ind.competences', 'com')
            ->addSelect('com')
            ->getQuery()
            ->execute();
    }

    public function findAllIndividusExperiences()
    {
        return $this->createQueryBuilder('ind')
            ->leftJoin('ind.experienceprofessionnelles', 'exp')
            ->addSelect('exp')
            ->getQuery()
            ->execute();
    }
}
