SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


CREATE TABLE `competence` (
  `id` int(11) NOT NULL,
  `libelle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ordre_affiche` int(11) NOT NULL,
  `domaine` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `competence` (`id`, `libelle`, `ordre_affiche`, `domaine`) VALUES
(1, 'PHP', 4, 1),
(2, 'JS', 2, 1),
(3, 'hgfghjt', 2, 2);

CREATE TABLE `experience_professionnelle` (
  `id` int(11) NOT NULL,
  `individu_id` int(11) DEFAULT NULL,
  `date_debut` date NOT NULL,
  `date_fin` date NOT NULL,
  `nom_entreprise` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `salaire` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `experience_professionnelle` (`id`, `individu_id`, `date_debut`, `date_fin`, `nom_entreprise`, `description`, `salaire`) VALUES
(2, 1, '2020-02-11', '2020-02-21', 'CPAM', 'Blablablablablablablablablablablablablablablablablablablablablablablablablablablablablablablabla', 2000),
(3, NULL, '2015-01-01', '2015-01-01', 'hhg', 'thrth', 2000);

CREATE TABLE `individu` (
  `id` int(11) NOT NULL,
  `nom` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prenom` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date_naissance` date DEFAULT NULL,
  `afficher_date_naissance` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `individu` (`id`, `nom`, `prenom`, `date_naissance`, `afficher_date_naissance`) VALUES
(1, 'INSSA', 'Insa', '2020-02-13', 1),
(6, 'Blabla', 'Car', '2020-02-13', 1),
(27, 'Lulu', 'Toto', '2020-02-13', 1),
(28, 'edg', 'sdeg', '2015-03-05', 0),
(29, 'hgrtyjt', 'tkil', '2023-03-01', 1),
(30, 'hyju', 'jki(y\'', '2018-10-16', 1);

CREATE TABLE `individu_competence` (
  `individu_id` int(11) NOT NULL,
  `competence_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `individu_competence` (`individu_id`, `competence_id`) VALUES
(1, 1),
(1, 2),
(28, 1),
(28, 2),
(29, 1),
(30, 1),
(30, 2);

CREATE TABLE `migration_versions` (
  `version` varchar(14) COLLATE utf8mb4_unicode_ci NOT NULL,
  `executed_at` datetime NOT NULL COMMENT '(DC2Type:datetime_immutable)'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `migration_versions` (`version`, `executed_at`) VALUES
('20200213081044', '2020-02-13 08:12:22'),
('20200213124408', '2020-02-13 12:44:22');


ALTER TABLE `competence`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `experience_professionnelle`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_4FC854EF480B6028` (`individu_id`);

ALTER TABLE `individu`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `individu_competence`
  ADD PRIMARY KEY (`individu_id`,`competence_id`),
  ADD KEY `IDX_9D60F63F480B6028` (`individu_id`),
  ADD KEY `IDX_9D60F63F15761DAB` (`competence_id`);

ALTER TABLE `migration_versions`
  ADD PRIMARY KEY (`version`);


ALTER TABLE `competence`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
ALTER TABLE `experience_professionnelle`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
ALTER TABLE `individu`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=31;

ALTER TABLE `experience_professionnelle`
  ADD CONSTRAINT `FK_4FC854EF480B6028` FOREIGN KEY (`individu_id`) REFERENCES `individu` (`id`);

ALTER TABLE `individu_competence`
  ADD CONSTRAINT `FK_9D60F63F15761DAB` FOREIGN KEY (`competence_id`) REFERENCES `competence` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `FK_9D60F63F480B6028` FOREIGN KEY (`individu_id`) REFERENCES `individu` (`id`) ON DELETE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
